Summary: IPsec-Tools package use the IPsec functionality in the linux-2.5+ kernels.
Name: ipsec-tools
Version: 0.6.7
Release: alt2.M40
URL: http://ipsec-tools.sourceforge.net/
License: BSD
Group: Security/Networking

Source0: %name-%version.tar.bz2
Source1: %name-racoon.init
Source2: %name-racoon.sysconfig



# patches from RH package
Patch10: ipsec-tools-0.5-libs.patch
Patch11: isakmp.c.diff
Patch12: ipsec-tools-0.5-64bit.patch
Patch13: ipsec-tools-0.6.5-mls.patch
Patch14: ipsec-tools-0.6.7-rh-0.6.5-pre6.patch
Patch15: racoon-lspp-ipsec.patch
Patch16: ipsec-tools-0.6.5-ctx.patch
Patch17: ipsec-tools-0.6.5-acquires.patch
Patch18: ipsec-tools-0.6.5-loopback.patch
Patch19: ipsec-tools-0.6.5-leaks.patch

Patch100: ipsec-tools-0.6.7-alt-werror.patch
Patch101: ipsec-tools-0.6.7-alt-makefile.patch
Patch102: ipsec-tools-0.6.7-alt-config.patch

# Automatically added by buildreq on Wed Aug 27 2008
BuildRequires: flex gcc-c++ libcom_err-devel libssl-devel libkrb5-devel libreadline-devel

%description
This is the IPsec-Tools package.  You need this package in order to
really use the IPsec functionality in the linux-2.5+ kernels.  This
package builds:

        - libipsec, a PFKeyV2 library
        - setkey, a program to directly manipulate policies and SAs
        - racoon, an IKEv1 keying daemon

%prep
%setup -q

%patch10 -p1 -b .libs
%patch11 -p1 -b .iskmp
%patch12 -p1 -b .64bit
%patch13 -p1 -b .mls
%patch14 -p1 -b .pre6
%patch15 -p1 -b .sctx
%patch16 -p1 -b .hctx
%patch17 -p1 -b .acquires
%patch18 -p1 -b .loopback
%patch19 -p1 -b .leaks

%patch100 -p1 -b .werror
%patch101 -p1 -b .altmake
%patch102 -p1 -b .syscfg

%build
./bootstrap
%configure \
	--disable-static \
	--with-kernel-headers=/usr/include \
	--enable-shared \
	--sysconfdir=/etc/racoon \
	--enable-adminport \
	--enable-hybrid \
	--enable-frag \
	--enable-stats \
	--enable-dpd \
	--disable-ipv6 \
	--enable-natt=kernel \
	--enable-security-context=no \
	--enable-natt

NPROCS=1
%make_build

%install
%__make install DESTDIR=%buildroot

%__mkdir_p %buildroot/%_sysconfdir/racoon
%__mkdir_p %buildroot/%_initdir
%__mkdir_p %buildroot/%_sysconfdir/sysconfig
%__install -p -m0600 src/racoon/samples/psk.txt %buildroot/%_sysconfdir/racoon/
%__install -p -m0644 src/racoon/samples/racoon.conf %buildroot/%_sysconfdir/racoon/
%__install -m 0755 %SOURCE1 %buildroot/%_initdir/racoon
%__install -m 0644 %SOURCE2 %buildroot/%_sysconfdir/sysconfig/racoon

%preun
%preun_service racoon

%post
%post_service racoon


%files
%_libdir/libipsec.so*
%_libdir/libracoon.so*
%_initdir/racoon
%config(noreplace) %_sysconfdir/racoon/racoon.conf
%config(noreplace) %_sysconfdir/racoon/psk.txt
%config(noreplace) %_sysconfdir/sysconfig/racoon
%dir %_sysconfdir/racoon/
%_sbindir/plainrsa-gen
%_sbindir/racoon
%_sbindir/racoonctl
%_sbindir/setkey
%_man3dir/*
%_man5dir/racoon.conf.5*
%_man8dir/plainrsa-gen.8.gz
%_man8dir/racoon.8.gz
%_man8dir/racoonctl.8.gz
%_man8dir/setkey.8.gz
%doc ChangeLog NEWS README src/racoon/doc/* src/racoon/samples/roadwarrior src/racoon/samples/*sample*
%dir %_localstatedir/racoon
%_includedir/libipsec/*
%dir %_includedir/libipsec
%_includedir/racoon/*
%dir %_includedir/racoon

%changelog
* Wed Aug 27 2008 Dmitry Lebkov <dlebkov@altlinux.ru> 0.6.7-alt2.M40
- CVE-2008-3651 and CVE-2008-3652 patches from RedHat package
  ipsec-tools-0.6.5-9.3:
  + for DoS through various memory leaks (rh#456660, rh#458846)
- other patches from RH

* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux.org> 0.6.7-alt1.1
- Automated rebuild due to libcrypto.so.6 -> libcrypto.so.7 soname change.

* Sun May 13 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 0.6.7-alt1
- 0.6.7
- CVE-2007-1841
- ALT bug #11604 fixed
- add init-script for racoon daemon

* Wed Dec 20 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 0.6.6-alt1
- fix build requires

* Fri Oct 27 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 0.6.6-alt0
- 0.6.6

* Wed Mar 2 2005 Maxim Tyurin <mrkooll@altlinux.ru> 0.5-alt1
- New version (fixed CAN-2004-0155) and fixed potencial buffer ovefflow.

* Thu Jun 10 2004 Maxim Tyurin <mrkooll@altlinux.ru> 0.2.3-alt1
- Initial build.

